For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usJoin the Discord
ManualAPI GuideAPI Reference
  • Overview
    • API Reference
    • Client libraries
  • API Reference
      • GETList Skills
      • POSTCreate Skill
      • GETGet Skill
      • DELDelete Skill
      • GETList Skill Versions
      • POSTCreate Skill Version
      • GETGet Skill Version
      • DELDelete Skill Version
LogoLogo
Contact usJoin the Discord
API ReferenceSkills

List Skill Versions

GET
https://host.com/v1/skills/:skill_id/versions
GET
/v1/skills/:skill_id/versions
$curl -G https://host.com/v1/skills/skill_id/versions \
> -d collection=collection
1{
2 "has_more": false,
3 "data": [
4 {
5 "id": "version_01HZX8V5AKMFK7YMRQ7QNXMW9B",
6 "created_at": "2026-04-16T12:15:00Z",
7 "description": "Helps sales reps draft concise outreach.",
8 "directory": "sales_ops_helper",
9 "name": "sales_ops_helper",
10 "skill_id": "skill_01HZX8N83J4WQ2E4K4G3Q2H9E8",
11 "version": "v4",
12 "type": "skill_version"
13 }
14 ],
15 "next_page": "next_page"
16}
List versions for a skill with cursor pagination.
Was this page helpful?
Previous

Create Skill Version

Next
Built with

Path parameters

skill_idstringRequired

Headers

anthropic-betalist of stringsOptional

Query parameters

collectionstringRequired
limitintegerOptional
pagestringOptional

Response

This endpoint returns an object.
has_moreboolean
Whether there is a next page.
datalist of objects
Skill version page data.
next_pagestring
Token for next page.

Errors

401
Unauthorized
422
Unprocessable Entity